#include <wchar.h>
#include "libsci_gsl.hxx"
extern "C"
{
#include "libsci_gsl.h"
#include "addfunction.h"
}

#define MODULE_NAME L"libsci_gsl"

int libsci_gsl(wchar_t* _pwstFuncName)
{
    if(wcscmp(_pwstFuncName, L"montecarlo") == 0){ addCFunction(L"montecarlo", &sci_montecarlo, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"splfunc") == 0){ addCFunction(L"splfunc", &sci_splfunc, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"Rnl_Hlike") == 0){ addCFunction(L"Rnl_Hlike", &sci_Rnl_Hlike, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"phyconst") == 0){ addCFunction(L"phyconst", &sci_phyconst, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"Ass_legendre") == 0){ addCFunction(L"Ass_legendre", &sci_Ass_legendre, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"NormAss_legendre") == 0){ addCFunction(L"NormAss_legendre", &sci_NormAss_legendre, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"linsys") == 0){ addCFunction(L"linsys", &sci_linsys, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"lsqod") == 0){ addCFunction(L"lsqod", &sci_lsqod, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"gaussian") == 0){ addCFunction(L"gaussian", &sci_gaussian, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"gaussiantail") == 0){ addCFunction(L"gaussiantail", &sci_gaussiantail, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"bigaussian") == 0){ addCFunction(L"bigaussian", &sci_bigaussian, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"bigaussianpdf") == 0){ addCFunction(L"bigaussianpdf", &sci_bigaussianpdf, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"exponential") == 0){ addCFunction(L"exponential", &sci_exponential, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"exppow") == 0){ addCFunction(L"exppow", &sci_exppow, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"gammadist") == 0){ addCFunction(L"gammadist", &sci_gammadist, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"lognormal") == 0){ addCFunction(L"lognormal", &sci_lognormal, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"flatuniform") == 0){ addCFunction(L"flatuniform", &sci_flatuniform, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"chisq") == 0){ addCFunction(L"chisq", &sci_chisq, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"fdist") == 0){ addCFunction(L"fdist", &sci_fdist, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"tdist") == 0){ addCFunction(L"tdist", &sci_tdist, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"betadist") == 0){ addCFunction(L"betadist", &sci_betadist, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"poisson") == 0){ addCFunction(L"poisson", &sci_poisson, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"binomial") == 0){ addCFunction(L"binomial", &sci_binomial, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"negbinomial") == 0){ addCFunction(L"negbinomial", &sci_negbinomial, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"pascal") == 0){ addCFunction(L"pascal", &sci_pascal, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"geometric") == 0){ addCFunction(L"geometric", &sci_geometric, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"logth") == 0){ addCFunction(L"logth", &sci_logth, MODULE_NAME); }
    if(wcscmp(_pwstFuncName, L"hypergeom") == 0){ addCFunction(L"hypergeom", &sci_hypergeom, MODULE_NAME); }

    return 1;
}
